import { defineStore } from "pinia";
import  myAxios  from '../api/myAxios'

export const userStore = defineStore( 'user' , {
    //state是应用的核心数据，通常用于管理用户信息、应用设置、数据列表等。
    state: () => {
        return {
            loginUser: {
                userName: '未登录',
                userAvatar: '',
                userRole: 'notLogin'
            }
        }
    },
    //actions是用于定义和处理状态更改的方法。它们可以包含任意的逻辑，如异步请求、数据处理和状态更新。
    actions: {
        //获取登录用户信息
        async getLoginUser() {
            //请求登录信息
            const res = await myAxios.get('/user/get')
            // console.log(res.data)
            if( res.data.code === 1 && res ?.data ) {
                this.updateUser( res.data )
            }
        },
        //更新用户信息
        //更新state
        updateUser(payLoad : any) {
            this.loginUser = payLoad
        }
    }
})